gtk.TreeIter
Prev | The gtk Class Reference | Next

## gtk.TreeIter

gtk.TreeIter — An object that points at a path in a `gtk.TreeModel`.

## Synopsis

    class gtk.TreeIter(gobject.GBoxed):
        def copy()
        def free()

## Description

A `gtk.TreeIter` is an object that points at a path in a `gtk.TreeModel`. A `gtk.TreeIter` is created using one of the `gtk.TreeModel` or `gtk.TreeModelSort` methods:

- `gtk.TreeModel.get_iter`()
- `gtk.TreeModel.get_iter_from_string`()
- `gtk.TreeModel.get_iter_first`()
- `gtk.TreeModel.get_iter_root`()
- `gtk.TreeModel.iter_children`()
- `gtk.TreeModel.iter_parent`()
- `gtk.TreeModelSort.convert_child_iter_to_iter`()
- `gtk.TreeModelSort.convert_child_iter_to_child_iter`()

## Methods

### gtk.TreeIter.copy

        def copy()

Returns : | a copy of the treeiter.

The `copy`() method returns a copy of the treeiter. This iter must be freed with the `free`() method.

### gtk.TreeIter.free

        def free()

### Warning

This method is deprecated and should not be used since it can crash your application.

The `free`() method frees a `gtk.TreeIter`.

Prev | Up | Next
gtk.TreeDragSource | Home | gtk.TreeModel